Bug 1711340 - Kubernetes Pod Template is randomly removed
Summary: Kubernetes Pod Template is randomly removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1709626 1711334
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-17 14:25 UTC by Gabe Montero
Modified: 2019-10-16 06:29 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The OpenShift Jenkins Sync plugin confused ImageStreams and ConfigMaps with the same name when processing them for Jenkins k8s plugin PodTemplates Consequence: An event for one type could delete the pod template created from another type Fix: The OpenShift Jenkins Sync plugin was modified to keep track of which api object type created the pod template of a given name. Result: Jenkins k8s plugin PodTemplates created by the OpenShift Sync Plugin's mapping from ConfigMap/ImageStreams are not inadvertently deleted when two types with the same name exist in the cluster.
Clone Of: 1711334
Environment:
Last Closed: 2019-10-16 06:28:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:29:11 UTC

Comment 1 Gabe Montero 2019-05-17 14:27:42 UTC
Per details from cloned bugs, PR https://github.com/openshift/jenkins/pull/853 updated the upstream master branch (which is currently for 4.2)

The osbs/brew jobs are not ready yet, working with ART.

Comment 2 XiuJuan Wang 2019-05-29 07:02:35 UTC
The created Kubernetes Pod Template using the ConfigMap style will not removed more than a dozen hours.

Verified with jenkins image registry.svc.ci.openshift.org/ocp/4.2-2019-05-27-211046@sha256:f2d60cfc24ce881c4def3bc3bc4b1c8ab5fd031508c12b3a6bd85f1dbb52081a(get from 4.2.0-0.ci-2019-05-27-211046 payload)

with openshift-sync:1.0.37

Comment 4 errata-xmlrpc 2019-10-16 06:28:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.